# XPPL Ansible Automation

An automated deployment for the XPPL. If you're running these scripts, you'll
need SSH access and Sudo permissions on the machines. It is already running
deployments for:

* [books.vvvvvvaria.org](https://books.vvvvvvaria.org/)

## Prerequisites

You'll need to install [Ansible](https://docs.ansible.com).

```bash
$ sudo apt install -y ansible
```

## Setup a New XPPL

```bash
$ ansible-playbook --limit varia.zone --ask-become-pass plays/setup.yml
```

## Deploy a New XPPL Version

```bash
$ ansible-playbook --limit varia.zone --ask-become-pass plays/deploy.yml
```
